------------------------------------------------------------------------------------
--Name:  	Thanksgiving7
--Creator:	由剧情表现脚本编辑器生成
--Created:	2022-10-24
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(36, 34)
local Player_1 = CppScriptMgr:AddPlayer(177, 36, 34, "Warbler Leader", 0, 0)
Player_1:SetDir(7)
CppScriptMgr:WaitMilSec(500)
CppScriptMgr:NpcCallOut("I heard that someone wants to hunt my brother, but you have to ask me first!", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc35674", 150, 430, "Warbler Leader", 250, 655)
Player_1:Say("I heard that someone wants to hunt my brothers, but you have to ask me first!", 1500)
Player_1:SetAction(101)
CppScriptMgr:WaitMilSec(1500)
Player_1:SetAction(401)
CppScriptMgr:WaitMilSec(1000)
local Effect_1 = CppScriptMgr:AddEffect("bombarrow", 40, 38, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1000)
local Player_2 = CppScriptMgr:AddPlayer(277, 40, 38, "", 0, 0)
Player_2:SetDir(3)
local Player_3 = CppScriptMgr:AddPlayer(277, 38, 40, "", 0, 0)
Player_3:SetDir(3)
local Player_4 = CppScriptMgr:AddPlayer(277, 42, 36, "", 0, 0)
Player_4:SetDir(3)
local Player_5 = CppScriptMgr:AddPlayer(277, 42, 40, "", 0, 0)
Player_5:SetDir(3)
local Player_6 = CppScriptMgr:AddPlayer(277, 40, 42, "", 0, 0)
Player_6:SetDir(3)
local Player_7 = CppScriptMgr:AddPlayer(277, 44, 38, "", 0, 0)
Player_7:SetDir(3)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:NpcCallOut("Team 1! Ambush here and wait for the call!", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc35674", 150, 430, "Warbler Leader", 250, 655)
Player_1:Say("Team 1! Ambush here and wait for the call!", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_2:Say("Yes, sir!", 1000)
CppScriptMgr:WaitMilSec(1000)
Player_2:RunTo(48, 31)
Player_3:RunTo(48, 31)
Player_4:RunTo(48, 31)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:NpcCallOut("Team 2! Follow me and launch the attack!", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc35674", 150, 430, "Warbler Leader", 250, 655)
Player_1:Say("Team 2! Follow me and launch the attack!", 1500)
CppScriptMgr:WaitMilSec(990)
Player_2:SetHide(1)
Player_3:SetHide(1)
Player_4:SetHide(1)
CppScriptMgr:WaitMilSec(510)
Player_5:Say("Yes, sir!", 1000)
CppScriptMgr:WaitMilSec(1000)
Player_5:RunTo(31, 49)
Player_6:RunTo(31, 49)
Player_7:RunTo(31, 49)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:SetDarkScreen(1000)
Player_1:SetHide(1)
Player_5:SetHide(1)
Player_6:SetHide(1)
Player_7:SetHide(1)
CppScriptMgr:WaitMilSec(970)
local Effect_2 = CppScriptMgr:AddEffect("zf2-e233", 34, 35, 33, 1, 1, 1)
local Effect_3 = CppScriptMgr:AddEffect("zf2-e233", 36, 31, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1000)
local Player_9 = CppScriptMgr:AddSimplePlayer(1062530, 34, 35, "6th Turkey Brother", 0, 0)
Player_9:SetDir(7)
local Player_8 = CppScriptMgr:QueryHero()
Player_8:SetDir(7)
Player_8:SetPos(36, 31)
local actor_name_0 = Player_8:GetName()
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:NpcCallOut("This is not good! Fire Warbler is my 5th brother`s good friend. He`s coming to help my brother with his troops!", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_TG2022HJLD", 150, 430, "6th Turkey Brother", 250, 655)
Player_9:Say("This is not good! Fire Warbler is my 5th brother`s good friend. He`s coming to help my brother with his troops!", 2000)
CppScriptMgr:WaitMilSec(1960)
Player_8:SetAction(101)
CppScriptMgr:NpcCallOut("Don`t worry. I`ll make sure they won`t leave alive.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc30789", 150, 430, actor_name_0, 250, 655)
Player_8:Say("Don`t worry. I`ll make sure they won`t leave alive.", 1000)
CppScriptMgr:WaitMilSec(2000)